org.eclipse.viatra.addon.validation.core.api

## Class ConstraintSpecification.ConstraintSpecificationBuilder

- java.lang.Object
- - org.eclipse.viatra.addon.validation.core.api.ConstraintSpecification.ConstraintSpecificationBuilder

- Enclosing class:
    ConstraintSpecification

      public static class ConstraintSpecification.ConstraintSpecificationBuilder
      extends java.lang.Object

  Static builder class provided to construct ConstraintSpecification instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintSpecificationBuilder(IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> querySpecification, java.lang.String messageFormat, Severity severity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintSpecification` | `build()`
    `ConstraintSpecification.ConstraintSpecificationBuilder` | `keyNames(java.util.List<java.lang.String> keyNames)`
    `ConstraintSpecification.ConstraintSpecificationBuilder` | `symmetricParameters(java.util.List<java.lang.String> symmetricParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintSpecificationBuilder

          public ConstraintSpecificationBuilder(IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>> querySpecification,
                                                java.lang.String messageFormat,
                                                Severity severity)

  - ### Method Detail

    - #### keyNames

          public ConstraintSpecification.ConstraintSpecificationBuilder keyNames(java.util.List<java.lang.String> keyNames)

    - #### symmetricParameters

          public ConstraintSpecification.ConstraintSpecificationBuilder symmetricParameters(java.util.List<java.lang.String> symmetricParameters)

    - #### build

          public ConstraintSpecification build()